Ector

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Typedefs | Enumerations | Functions
Ector

## Typedefs
typedef Eo | Ector_Surface
| The base type to render content into.
typedef Eo | Ector_Renderer
| The base type describing what to render.
typedef enum _Ector_Priority | Ector_Priority
| Priorities.
typedef enum _Ector_Update_Type | Ector_Update_Type
| What kind of update is being pushed.

## Enumerations
enum | _Ector_Priority { ECTOR_PRIORITY_NONE = 0 , ECTOR_PRIORITY_MARGINAL = 64 , ECTOR_PRIORITY_SECONDARY = 128 , ECTOR_PRIORITY_PRIMARY = 256 }
| Priorities.
enum | _Ector_Update_Type { ECTOR_UPDATE_BACKGROUND = 1 , ECTOR_UPDATE_EMPTY = 2 , ECTOR_UPDATE_ALPHA = 4 , ECTOR_UPDATE_OPAQUE = 8 }
| What kind of update is being pushed.

## Functions
ECTOR_API int | ector_init (void)
| Init the ector subsystem.
ECTOR_API int | ector_shutdown (void)
| Shutdown the ector subsystem.
ECTOR_API Eina_Bool | ector_glsym_set (void *(*glsym)(void *lib, const char *name), void *lib)
| Registers OpenGL API calls with the internal Ector_GL_API.

## Detailed Description

## Function Documentation

## ◆ ector_init()

ECTOR_API int ector_init | ( | void |  | ) |

Init the ector subsystem.

Returns
  `EINA_TRUE` on success.

See also
  ector_shutfown()

References eina_init(), EINA_LIKELY, eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, EINA_LOG_STATE_STOP, eina_log_timing(), and eina_shutdown().

## ◆ ector_shutdown()

ECTOR_API int ector_shutdown | ( | void |  | ) |

Shutdown the ector subsystem.

Returns
  `EINA_TRUE` on success.

See also
  ector_init()

References EINA_LIKELY, eina_log_domain_unregister(), EINA_LOG_ERR, EINA_LOG_STATE_SHUTDOWN, EINA_LOG_STATE_START, eina_log_timing(), and eina_shutdown().

## ◆ ector_glsym_set()

ECTOR_API Eina_Bool ector_glsym_set | ( | void *(*)(void *lib, const char *name) | glsym,
|  | void * | lib
| ) |  |

Registers OpenGL API calls with the internal Ector_GL_API.

Parameters

  glsym | Function to use for looking up dynamically loaded symbols
  lib | Dynamically loaded shared object, or RTLD_DEFAULT or RTLD_NEXT

Returns
  EINA_TRUE if call succeeded, EINA_FALSE if glsym was undefined or an error occurred

The RTLD_DEFAULT and RTLD_NEXT pseudo-handles can be passed as lib to look up the first or next occurrence of the desired symbol in the dynamic library search order.

See also
  dlsym()

References EINA_FALSE, and EINA_TRUE.